ONVIF::Device::Elements::GetNTPResponse(3pm)

NAME
ONVIF::Device::Elements::GetNTPResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetNTPResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   NTPInformation

     $element->set_NTPInformation($data);
     $element->get_NTPInformation();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetNTPResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   NTPInformation =>  { # ONVIF::Device::Types::NTPInformation
     FromDHCP =>  $some_value, # boolean
     NTPFromDHCP =>  { # ONVIF::Device::Types::NetworkHost
       Type => $some_value, # NetworkHostType
       IPv4Address => $some_value, # IPv4Address
       IPv6Address => $some_value, # IPv6Address
       DNSname => $some_value, # DNSName
       Extension =>  { # ONVIF::Device::Types::NetworkHostExtension
       },
     },
     NTPManual =>  { # ONVIF::Device::Types::NetworkHost
       Type => $some_value, # NetworkHostType
       IPv4Address => $some_value, # IPv4Address
       IPv6Address => $some_value, # IPv6Address
       DNSname => $some_value, # DNSName
       Extension =>  { # ONVIF::Device::Types::NetworkHostExtension
       },
     },
     Extension =>  { # ONVIF::Device::Types::NTPInformationExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL